2 May 2012
gifinto
1
GIFLIB
GIFLIB Documentation

# gifinto

save GIF on stdin to file if size over set threshold

      gifinto
          -v
          -s minsize
          -h
          outfile

## Description

A program to save stdin into a file with given name, iff the result file has size bigger than specified (see below). This can be used to save a result under the same filename we started with in a chain of pipes.

Always reads a GIF file from stdin.

## Options

-v

  Verbose mode (show progress). Enables printout of running scan lines.

-s MinFileSize

  If file is less than MinFileSize, it is deleted and not renamed to the given name. This will prevent killing the file we started with if the result is an empty file, or the pipeline did not complete.

  The default file threshold size is 14 bytes, which is 1 bigger than GIF file stamp (6 bytes) plus a GIF file screen descriptor (7 bytes), so a GIF file with only GIF stamp and screen descriptor will not be renamed.

-h

  Print one line of command line help, similar to Usage above.

## Author

Gershon Elber.